Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
reports
/
profit-and-loss-summaries
Fetch P&L summaries
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/reports/profit-and-loss-summaries \
  --header 'Authorization: Bearer <token>'
[
  {
    "monthly_pnl_summaries": [
      {
        "year": 2024,
        "month": 3,
        "income": 1050000,
        "costOfGoodsSold": 350000,
        "grossProfit": 700000,
        "operatingExpenses": 300000,
        "profitBeforeTaxes": 400000,
        "taxes": 100000,
        "netProfit": 300000,
        "totalExpenses": 750000,
        "uncategorizedInflows": 10,
        "uncategorizedOutflows": 10,
        "fullyCategorized": true,
        "uncategorized_transactions": 1
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string
required

The UUID of the business to fetch the profit and loss for.

Query Parameters

start_year
integer
required

The starting year for the summaries range (e.g. 2024).

start_month
integer
required

The starting month for the summaries range (1–12).

Required range: 1 <= x <= 12
end_year
integer
required

The ending year for the summaries range (e.g. 2024).

end_month
integer
required

The ending month for the summaries range (1–12).

Required range: 1 <= x <= 12
reporting_basis
enum<string>

Accounting basis for the report.

Available options:
ACCRUAL,
CASH
structure
string

P&L structure template to use.

tag_key
string

Tag key to filter results by (use together with tag_values).

tag_values
string

Comma-separated tag values to filter results by (use together with tag_key).

Response

monthly_pnl_summaries
object[]